Groovy 1.7.0

## groovy.swing.factory
Class LineBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory
              groovy.swing.factory.LineBorderFactory

    class LineBorderFactory
    extends SwingBorderFactory

accepts attributes:
color: java.awt.Color
color: java.awt.Color, thickness: int
color: java.awt.Color, thickness: int, roundedBorders: boolean

Constructor Summary
`LineBorderFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class SwingBorderFactory
isLeaf, onHandleNodeAttributes, setParent

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### LineBorderFactory

    LineBorderFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.